/*
 * Class ACTIVE [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_363 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_363 [] = {0xFF01,237,362,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_363 [] = {0xFF01,362,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_363 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_363 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_363 [] = {0xFF01,362,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_363 [] = {0xFF01,362,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_363 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_363 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_363 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_363 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_363 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_363 [] = {362,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_363 [] = {0xFF01,362,191,0xFFFF};
static const EIF_TYPE_INDEX egt_14_363 [] = {0xFF01,360,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_363 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_363 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_363[] = {
	{EIF_GENERIC(NULL), 1990, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_363), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_363), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_363), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_363), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_363), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_363), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_363), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_363), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_363), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_363), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_363), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_363), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_363), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_363), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1861, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1863, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1864, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_363), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_363), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_363), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init363(void)
{
	IDSC(desc_363, 0, 362);
	IDSC(desc_363 + 1, 1, 362);
	IDSC(desc_363 + 32, 77, 362);
	IDSC(desc_363 + 41, 282, 362);
	IDSC(desc_363 + 50, 243, 362);
	IDSC(desc_363 + 56, 229, 362);
}


#ifdef __cplusplus
}
#endif
